/**
 * Copyright (c) 2010 Generative Software Development Lab, University of Waterloo, Canada. All Rights Reserved
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation; either version 
 * 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See 
 * the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this library;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, 
 * MA  02110-1301  USA
 * 
 * You can find the license also here: http://www.gnu.org/copyleft/lesser.html 
 */
package ca.uwaterloo.gsd.icsm2010.clients.vector;

import java.util.Enumeration;
import java.util.Vector;

/* Using the wrapper types
import ca.uwaterloo.gsd.icsm2010.wrappers.vector2arraylist.Enumeration;
import ca.uwaterloo.gsd.icsm2010.wrappers.vector2arraylist.Vector;
*/

/* Using the original Java types
import java.util.Enumeration;
import java.util.Vector;
*/

/**
 * This is an example of a client application that is migrated from 
 * the original Java Vectors to ArrayLists through the usage of 
 * a wrapper.
 * 
 * This file uses the original Java API.
 * 
 * @author Thiago Tonelli Bartolomei
 */
@SuppressWarnings("unchecked")
public class VectorClient {

	/**
	 * Executes a small example to exercise the API.
	 * 
	 * Running VectorWrapperClient or VectorClient should yield the same results.
	 *
	 * @param args
	 */
	public static void main(String[] args) {
		Object o = new Object();
		
		Vector v = new Vector();
		v.add(o);
		
		Enumeration e = v.elements();
		assert(e.hasMoreElements());
		
		while(e.hasMoreElements()) {
			Object i = e.nextElement();
			assert(o == i);
		}
	}
}
