/**
 * Copyright (c) 2010 Generative Software Development Lab, University of Waterloo, Canada. All Rights Reserved
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation; either version 
 * 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See 
 * the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this library;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, 
 * MA  02110-1301  USA
 * 
 * You can find the license also here: http://www.gnu.org/copyleft/lesser.html 
 */
package ca.uwaterloo.gsd.icsm2010.wrappers.swing2swt.swing;

import java.util.ArrayList;

import javax.swing.event.ListDataListener;

import ca.uwaterloo.gsd.icsm2010.patterns.ObjectAdapter;

/**
 * Wraps a List of objects.
 * 
 * @author Thiago Tonelli Bartolomei
 */
public class DefaultListModel extends AbstractListModel {

	@ObjectAdapter
	java.util.List<Object> adaptee = null;
	
	// Surrogate reference for Many to One
	JList list = null;
	
	public void setJList(JList list) {
		this.list = list;
	}
	
	// Public API
	public DefaultListModel() {
		adaptee = new ArrayList<Object>();
	}
	
	public void addElement(Object obj) {
		adaptee.add(obj);
	}
	
	public int getSize() {
		return adaptee.size();
	}

	public Object getElementAt(int index) {
		return adaptee.get(index);
	}

	public void add(int index, Object element) {
		adaptee.add(index, element);
		list.getAdaptee().add(element.toString(), index);
	}
	
	public Object remove(int index) {
		list.getAdaptee().remove(index);
		return adaptee.remove(index);
	}
	
	public void addListDataListener(ListDataListener l) {}

	public void removeListDataListener(ListDataListener l) {}
}
