/**
 * Copyright (c) 2010 Generative Software Development Lab, University of Waterloo, Canada. All Rights Reserved
 *
 * This library is free software; you can redistribute it and/or modify it under the terms of the 
 * GNU Lesser General Public License as published by the Free Software Foundation; either version 
 * 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See 
 * the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License along with this library;
 * if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, 
 * MA  02110-1301  USA
 * 
 * You can find the license also here: http://www.gnu.org/copyleft/lesser.html 
 */
package ca.uwaterloo.gsd.icsm2010.wrappers.swing2swt.swing;

import org.eclipse.swt.custom.ScrolledComposite;
import org.eclipse.swt.layout.RowData;
import org.eclipse.swt.widgets.Composite;

import ca.uwaterloo.gsd.icsm2010.patterns.FactoryMethod;

/**
 * Wraps, together with a JViewport, an SWT's Composite.
 * 
 * @author Thiago Tonelli Bartolomei
 */
public class JScrollPane extends JComponent {

	// Surrogate reference for Many to One
	JViewport viewport = null;
	
	public Composite getAdaptee() {
		return (Composite) adaptee;
	}
	
	@FactoryMethod
	protected void createAdaptee(Composite parent) {
		viewport.createAdaptee(parent);
		
		ScrolledComposite composite = viewport.getAdaptee();
		composite.setExpandVertical(true);
		composite.setExpandHorizontal(true);
		
		// This is necessary because we don't migrate layouts completely.
		composite.setLayoutData(new RowData(50, 70));
		
		this.setAdaptee(composite);
	}
	
	// Public API
	public JScrollPane() {
		viewport = new JViewport();
	}
	
	public JViewport getViewport() {
		return viewport;
	}
}
